#define OS_MAIN
#include <jacos.h>
#include "..\prim_io.h"

OST_TASK task1;
OST_TASK task2;

unsigned char counter;

__task void T_1(void)
{
  while (1) {
    counter++;
    OS_Cooperate();
    counter++;
  }
}

__task void T_2(void)
{
  while (1) {
    counter++;
    OS_Cooperate();
    counter++;
  }
}

int main(void)
{
  OS_Init();
  OS_Task_Create(T_1, &task1);
  OS_Task_Create(T_2, &task2);

  while (1) {
    OS_Scheduler();
  }
}

